> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/sdk/events/virtualbackgroundchanged.md).

# virtualBackgroundChanged

Emitted when the virtual background settings change for the local user.

#### Sample payload

```json
{
  "type": "virtualBackgroundChanged", 
  "data": {
    "virtualBackgroundConfig": {
      "enabled": boolean,
      "type": string,      
      "name": string,      
      "enforced": boolean,
      "value": {
         "src": string,    
         "thumb": string, 
         "alt": string 
      }
    }
  }
}
```

For detailed information about possible values and configuration options, see the [VirtualBackgroundOptions](/reference/sdk/methods/configurevirtualbackground.md) which defines all available virtual background types, their configuration parameters, and enforcement settings.

#### Sample subscription code

```javascript
sambaFrame.on('virtualBackgroundChanged', (event) => {
  const data = event.data;
  console.log('New VB config is:', data.virtualBackgroundConfig);
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/events/virtualbackgroundchanged.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
